#
#  Be sure to run `pod spec lint AATKit.podspec' to ensure this is a
#  valid spec and to remove all comments including this before submitting the spec.
#
#  To learn more about Podspec attributes see https://guides.cocoapods.org/syntax/podspec.html
#  To see working Podspecs in the CocoaPods repo see https://github.com/CocoaPods/Specs/
#

Pod::Spec.new do |spec|

    spec.name         = "AATAdManagerMediationAdapter"
    spec.version      = "1.0.0"
    spec.summary      = 'Mobile Ad Mediation Framework'
    spec.xcconfig =
    {
        'VALID_ARCHS' => 'arm64 armv7 x86_64',
        'VALID_ARCHS[sdk=iphoneos*]' => 'arm64 armv7',
        'VALID_ARCHS[sdk=iphonesimulator*]' => 'x86_64 arm64',
    }

    spec.description  = <<-DESC
    Integrate many different advertising networks by adding this mediation framework only once.
    DESC

    spec.homepage     = 'https://bitbucket.org/addapptr/aatkit-ios/wiki/Home'

    spec.license      = {
        :type => 'Copyright',
        # U+2013: EN DASH
        :text => 'Copyright 2012\u20132020 AddApptr GmbH.'
    }

    spec.author             = { 'Addapptr GmbH' => 'support@addapptr.com' }
    spec.social_media_url   = "http://twitter.com/addapptr_gmbh"

    spec.platform     = :ios, '11.0'
    spec.swift_version = '5.0'
    
     spec.source       = {
       :http   => "https://ios-sdk.aatkit.com/AATAdManagerMediationAdapter-#{spec.version.to_s}.zip",
       :sha256 => '592ac07c3e2c1b1b6f57bfab6e57ce3b6e98054cf647f04cf74ccf420f6e01de'
     }

    
    #    spec.static_framework = true

    spec.default_subspecs = 'Default'

    spec.subspec 'Default' do |spec|
        spec.dependency 'Google-Mobile-Ads-SDK', '~> 10.0'
        spec.vendored_frameworks = [
        'AATAdManagerMediationAdapter/AATAdManagerMediationAdapter.xcframework'
        ]
    end # subspec Default
end
